KDE 4.7 PyKDE API Reference

- KDE's Python API

# KAbstractFileModule Class Reference

`from PyKDE4.kio import *`

Inherits: QObject

## Detailed Description

Interface to the module that contains the file widget.

libkfilemodule returns an object that derives from KAbstractFileModule.

This is internal to KFileDialog.

## Methods
| __init__ (self, QObject parent)
QWidget | createFileWidget (self, KUrl startDir, QWidget parent)
KUrl | getStartUrl (self, KUrl startDir, QString recentDirClass)
KUrl | selectDirectory (self, KUrl startDir, bool localOnly, QWidget parent, QString caption)
| setStartDir (self, KUrl directory)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent
| ) |  |  |

QWidget createFileWidget | ( | self, |
|  | KUrl | startDir,
|  | QWidget | parent
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

KUrl getStartUrl | ( | self, |
|  | KUrl | startDir,
|  | QString | recentDirClass
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

KUrl selectDirectory | ( | self, |
|  | KUrl | startDir,
|  | bool | localOnly,
|  | QWidget | parent,
|  | QString | caption
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Creates a modal file dialog and returns the selected directory or an empty string if none was chosen.

setStartDir | ( | self, |
|  | KUrl | directory
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.